<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 27/03/2017
 * Time: 13:44
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class Notificacio
 * @ORM\Entity(repositoryClass="Intranet\IntranetBundle\Entity\NotificacioRepository")
 * @ORM\Table(name="IntranetBundle_Notificacions")
 */
class Notificacio
{

    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="Usuari", inversedBy="notificacio_usuari")
     * @ORM\JoinColumn(name="usuari", referencedColumnName="dni")
     */
    protected $usuari;

    /**
     * @ORM\Column(type="string", length=30, nullable=false)
     */
    protected $tipologia;

    /**
     * @ORM\Column(type="string", length=30, nullable=false)
     */
    protected $tipus_id;

    /**
     * @ORM\Column(type="string", length=155, nullable=true)
     */
    protected $contingut;

    /**
     * @ORM\Column(type="boolean", nullable= false)
     */
    protected $llegit = false;

    /**
     * @ORM\Column(type="datetime", nullable=false)
     */
    protected $data_creacio;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getUsuari()
    {
        return $this->usuari;
    }

    /**
     * @param mixed $usuari
     */
    public function setUsuari($usuari)
    {
        $this->usuari = $usuari;
    }

    /**
     * @return mixed
     */
    public function getTipologia()
    {
        return $this->tipologia;
    }

    /**
     * @param mixed $tipologia
     */
    public function setTipologia($tipologia)
    {
        $this->tipologia = $tipologia;
    }

    /**
     * @return mixed
     */
    public function getTipusId()
    {
        return $this->tipus_id;
    }

    /**
     * @param mixed $tipus_id
     */
    public function setTipusId($tipus_id)
    {
        $this->tipus_id = $tipus_id;
    }

    /**
     * @return mixed
     */
    public function getContingut()
    {
        return $this->contingut;
    }

    /**
     * @param mixed $contingut
     */
    public function setContingut($contingut)
    {
        $this->contingut = $contingut;
    }

    /**
     * @return mixed
     */
    public function getLlegit()
    {
        return $this->llegit;
    }

    /**
     * @param mixed $llegit
     */
    public function setLlegit($llegit)
    {
        $this->llegit = $llegit;
    }

    /**
     * @return mixed
     */
    public function getDataCreacio()
    {
        return $this->data_creacio;
    }

    /**
     * @param mixed $data_creacio
     */
    public function setDataCreacio($data_creacio)
    {
        $this->data_creacio = $data_creacio;
    }

    public function __toString()
    {
        return $this->getMissatge();
    }

}