/**
 * Created by andreu-calvo on 29/03/2017.
 */
$(document).ready(function(){
    var ias = jQuery.ias({
        container: '.box-notifications',
        item: '.notification-item',
        pagination: '.pagination',
        next: '.pagination .next_link',
        triggerPageThreshold: 5
    });

    ias.extension(new IASTriggerExtension({
        text: 'Veure més notificacions',
        offset: 3
    }));

    ias.extension(new IASSpinnerExtension({
        src: URL+'bundles/intranet/images/ajax-loader.gif'
    }));

    ias.extension(new IASNoneLeftExtension({
        text: "No hi ha més notificacions"
    }));

    ias.on('ready', function(event){
        eliminarNotificacio();

    });

    ias.on('rendered', function(event){
        eliminarNotificacio();

    });
});

function eliminarNotificacio(){
    $('.btn-remove').unbind("click").click(function(){
        //$(this).addClass("hidden");
        var id = '#'+$(this).attr("data-id");
       $.ajax({
           url: $(this).attr("data-url"),
           type: 'GET',
           data: {id: $(this).attr("data-id")},
           success: function(resposta){
               if (resposta.hasOwnProperty("response") && resposta.response ==="success" ){
                   $("#success-alert").html('Notificació eliminada');
                   $("#success-alert").alert();
                   $("#success-alert").fadeTo(2000, 500).slideUp(500, function(){
                       $("#success-alert").slideUp(500);
                   });
                   $(id).addClass("hidden");
               }
           }
       })
    });
}

