<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 08/03/2017
 * Time: 10:19
 */
namespace IntranetBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Intranet\IntranetBundle\Entity\Rol;

class CargarRols extends AbstractFixture implements OrderedFixtureInterface
{
    public function getOrder()
    {
        return 1;
    }

    public function load(ObjectManager $manager)
    {
        $rols = array(
            array('nom'=> 'ROLE_ALUMNE'),
            array('nom'=> 'ROLE_PROFESSOR'),
            array('nom'=> 'ROLE_GESTOR'),
            array('nom'=> 'ROLE_USUARI'),
        );


        foreach ($rols as $rol){
            $entitat_rol = new Rol();
            $entitat_rol -> setRol($rol['nom']);
            $manager -> persist($entitat_rol);
        }


        $manager ->flush();
    }
}