<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 27/03/2017
 * Time: 13:33
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class Publicacio
 * @ORM\Entity(repositoryClass="Intranet\IntranetBundle\Entity\RespostesRepository")
 * @ORM\Table(name="IntranetBundle_Respostes")
 */
class Resposta
{

    /**
     * @ORM\id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="Usuari", inversedBy="resposta_creador")
     * @ORM\JoinColumn(name="alumne", referencedColumnName="dni")
     */
    protected $alumneCreador;

    /**
     * @ORM\ManyToOne(targetEntity="Publicacio", inversedBy="respostes")
     * @ORM\JoinColumn(name="publicacio", referencedColumnName="id")
     */
    protected $publicacioPare;


    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $contingut;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    protected $arxiu;


    /**
     * @ORM\Column(type="datetime", nullable=false)
     */
    protected $data_creacio;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getAlumneCreador()
    {
        return $this->alumneCreador;
    }

    /**
     * @param mixed $professorCreador
     */
    public function setAlumneCreador($alumneCreador)
    {
        $this->alumneCreador = $alumneCreador;
    }

    /**
     * @return mixed
     */
    public function getPublicacioPare()
    {
        return $this->publicacioPare;
    }

    /**
     * @param mixed $publicacioPare
     */
    public function setPublicacioPare($publicacioPare)
    {
        $this->publicacioPare = $publicacioPare;
    }



    /**
     * @return mixed
     */
    public function getContingut()
    {
        return $this->contingut;
    }

    /**
     * @param mixed $contingut
     */
    public function setContingut($contingut)
    {
        $this->contingut = $contingut;
    }

    /**
     * @return mixed
     */
    public function getArxiu()
    {
        return $this->arxiu;
    }

    /**
     * @param mixed $arxiu
     */
    public function setArxiu($arxiu)
    {
        $this->arxiu = $arxiu;
    }

    /**
     * @return mixed
     */
    public function getDataCreacio()
    {
        return $this->data_creacio;
    }

    /**
     * @param mixed $data_creacio
     */
    public function setDataCreacio($data_creacio)
    {
        $this->data_creacio = $data_creacio;
    }

    public function __toString()
    {
        return $this->getContingut();
    }

}