<?php

/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 03/04/2017
 * Time: 09:02
 */

namespace Intranet\IntranetBundle\Services;

use Intranet\IntranetBundle\Entity\Notificacio;

class NotificacioService
{
    public $manager;

    public function __construct($manager)
    {
        $this->manager = $manager;
    }

    public function setNotificacio($usuari, $tipus, $tipusId, $missatge = null){
        $em = $this->manager;

        $notification = new Notificacio();
        $notification ->setUsuari($usuari);
        $notification ->setTipologia($tipus);
        $notification ->setTipusId($tipusId);
        $notification ->setLlegit(0);
        $notification ->setDataCreacio(new \DateTime("now"));
        $notification ->setContingut($missatge);

        $em->persist($notification);
        $em->flush();
    }

    public function llegida ($usuari){
        $em = $this->manager;

        $notificacions = $em->getRepository('IntranetBundle:Notificacio')->buscarNotificacionsUsuari($usuari);

        foreach ($notificacions as $notificacio){
            $notificacio->setLlegit(1);
            $em->persist($notificacio);
        }
        $em->flush();
        return true;
    }
}