<?php

/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 29/03/2017
 * Time: 14:05
 */
namespace Intranet\IntranetBundle\Twig;

use Symfony\Bridge\Doctrine\RegistryInterface;

class GetUsuariExtension extends  \Twig_Extension
{
    protected $doctrine;

    public function __construct(RegistryInterface $doctrine)
    {
        $this->doctrine = $doctrine;
    }

    public function getFilters(){
        return array(
          new \Twig_SimpleFilter('get_usuari', array($this,'getUsuariFilter'))
        );
    }

    public function getUsuariFilter($usuari){

        return $this->doctrine->getRepository('IntranetBundle:Usuari')->buscarUsuariPelDni($usuari);

    }

    public function getName(){
        return "get_usuari_extension";
    }

}