/**
 * Created by andreu-calvo on 04/04/2017.
 */
$(document).ready(function(){

    var ias = jQuery.ias({
        container: '.box-messages',
        item: '.missatge-item',
        pagination: '.pagination',
        next: '.pagination .next_link',
        triggerPageThreshold: 5
    });

    ias.extension(new IASTriggerExtension({
        text: 'Veure més missatges',
        offset: 3
    }));

    ias.extension(new IASSpinnerExtension({
        src: URL+'bundles/intranet/images/ajax-loader.gif'
    }));

    ias.extension(new IASNoneLeftExtension({
        text: "No hi ha més missatges"
    }));

    ias.on('ready', function(event){
        eliminarMissatge();

    });

    ias.on('rendered', function(event){
        eliminarMissatge();

    });
});


function eliminarMissatge(){
    $('.btn-remove').unbind("click").click(function(){
        var id = '#'+$(this).attr("data-id");
        $.ajax({
            url: $(this).attr("data-url"),
            type: 'GET',
            data: {id: $(this).attr("data-id")},
            success: function(resposta){
                if (resposta.hasOwnProperty("response") && resposta.response ==="success" ){
                    $("#success-alert").html('Missatge eliminat');
                    $("#success-alert").alert();
                    $("#success-alert").fadeTo(2000, 500).slideUp(500, function(){
                        $("#success-alert").slideUp(500);
                    });
                    $(id).addClass("hidden");
                }
            }
        })
    });
}